---
title: Quick start
description: 'Use the InfluxDB 3 Cloud Dedicated Management API to create databases, issue database tokens, and configure your cluster programmatically. Prerequisites: A management token. Generate one with influxctl: influxctl management create --format=jsonSet environment variables for the examples below: export ACCOUNT_ID="ACCOUNT_ID" export CLUSTER_ID="CLUSTER_ID" export MANAGEMENT_TOKEN="MANAGEMENT_TOKEN" List databases in your cluster. curl "https://console.influxdata.com/api/v0/accounts/${ACCOUNT_ID}/cl'
url: https://docs.influxdata.com/influxdb3/cloud-dedicated/api/management-api/quick-start/
estimated_tokens: 1471
product: InfluxDB Cloud Dedicated
version: cloud-dedicated
---

[Download Cloud Dedicated Management API Spec](/openapi/influxdb-cloud-dedicated-management-api.yml)

Use the InfluxDB 3 Cloud Dedicated Management API to create databases, issue database tokens, and configure your cluster programmatically.

**Prerequisites**: A management token. Generate one with `influxctl`:

```bash
influxctl management create --format=json
```

Set environment variables for the examples below:

```bash
export ACCOUNT_ID="ACCOUNT_ID"
export CLUSTER_ID="CLUSTER_ID"
export MANAGEMENT_TOKEN="MANAGEMENT_TOKEN"
```

1. List databases in your cluster.
    
    ```bash
    curl "https://console.influxdata.com/api/v0/accounts/${ACCOUNT_ID}/clusters/${CLUSTER_ID}/databases" \
      --header "Authorization: Bearer ${MANAGEMENT_TOKEN}"
    ```
    
2. Create a database.
    
    ```bash
    curl "https://console.influxdata.com/api/v0/accounts/${ACCOUNT_ID}/clusters/${CLUSTER_ID}/databases" \
      --request POST \
      --header "Authorization: Bearer ${MANAGEMENT_TOKEN}" \
      --header "Content-Type: application/json" \
      --data '{"name": "sensors"}'
    ```
    
3. Create a database token with read and write access.
    
    ```bash
    curl "https://console.influxdata.com/api/v0/accounts/${ACCOUNT_ID}/clusters/${CLUSTER_ID}/tokens" \
      --request POST \
      --header "Authorization: Bearer ${MANAGEMENT_TOKEN}" \
      --header "Content-Type: application/json" \
      --data '{
        "description": "Read/write token for sensors",
        "permissions": [
          {"action": "read", "resource": "sensors"},
          {"action": "write", "resource": "sensors"}
        ]
      }'
    ```
    

Use the database token returned in step 3 to authenticate writes and queries to the Data API.

#### Related

-   [Get started with Cloud Dedicated](/influxdb3/cloud-dedicated/get-started/)
-   [Set up your cluster](/influxdb3/cloud-dedicated/get-started/setup/)
